# Interface methods for submodule: BlockMatchingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: BlockMatchingImageFilter
class BlockMatchingImageFilterProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def GetOutput(self):
		""""""
		...

	@overload
	def GetOutput(self, idx: int):
		""""""
		...

	def SetOutput(self, output) -> None:
		""""""
		...

	@overload
	def GraftOutput(self, graft) -> None:
		""""""
		...

	@overload
	def GraftOutput(self, key: str, graft) -> None:
		""""""
		...

	def GraftNthOutput(self, idx: int, graft) -> None:
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	def SetBlockRadius(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetBlockRadius(self) -> Sequence[int]:
		""""""
		...

	def SetSearchRadius(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetSearchRadius(self) -> Sequence[int]:
		""""""
		...

	def SetFixedImage(self, _arg) -> None:
		""""""
		...

	def GetFixedImage(self):
		""""""
		...

	def SetMovingImage(self, _arg) -> None:
		""""""
		...

	def GetMovingImage(self):
		""""""
		...

	def SetFeaturePoints(self, _arg) -> None:
		""""""
		...

	def GetFeaturePoints(self):
		""""""
		...

	def GetDisplacements(self):
		""""""
		...

	def GetSimilarities(self):
		""""""
		...

